# Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
# This product includes software developed at Datadog (https://www.datadoghq.com/).
# Copyright 2019-Present Datadog, Inc.
from __future__ import annotations


from datadog_api_client.model_utils import (
    ModelSimple,
    cached_property,
)

from typing import ClassVar


class ImageWidgetDefinitionType(ModelSimple):
    """
    Type of the image widget.

    :param value: If omitted defaults to "image". Must be one of ["image"].
    :type value: str
    """

    allowed_values = {
        "image",
    }
    IMAGE: ClassVar["ImageWidgetDefinitionType"]

    @cached_property
    def openapi_types(_):
        return {
            "value": (str,),
        }


ImageWidgetDefinitionType.IMAGE = ImageWidgetDefinitionType("image")
